JListSelectedElementBinding (Groovy 5.0.7)

Package: groovy.swing.binding

## [Groovy] Class JListSelectedElementBinding

- groovy.swing.binding.JListSelectedElementBinding

- All Implemented Interfaces and Traits:
    PropertyChangeListener, ListSelectionListener

      class JListSelectedElementBinding
      extends AbstractSyntheticBinding
      implements PropertyChangeListener, ListSelectionListener

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractFullBinding` | `converter, reverseConverter, sourceBinding, targetBinding, validator`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `JList` | `boundList`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected JListSelectedElementBinding(PropertyBinding source, TargetBinding target, String propertyName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `JList` | `getBoundList()`
    `` | `void` | `propertyChange(PropertyChangeEvent event)`
    `` | `void` | `setBoundList(JList boundList)`
    `` | `void` | `setTargetBinding(TargetBinding target)`
    `` | `void` | `syntheticBind()`
    `` | `void` | `syntheticUnbind()`
    `` | `void` | `valueChanged(ListSelectionEvent e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractSyntheticBinding` | `bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind`
    `class AbstractFullBinding` | `getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update`

- - ### Property Detail

    - #### JList boundList

  - ### Constructor Detail

    - #### protected JListSelectedElementBinding(PropertyBinding source, TargetBinding target, String propertyName)

  - ### Method Detail

    - #### @Synchronized
      JList getBoundList()

    - #### void propertyChange(PropertyChangeEvent event)

    - #### @Synchronized
      void setBoundList(JList boundList)

    - #### void setTargetBinding(TargetBinding target)

    - #### @Synchronized
      void syntheticBind()

    - #### @Synchronized
      void syntheticUnbind()

    - #### void valueChanged(ListSelectionEvent e)